package com.agiledeveloper

class PersonController {
    def list() {
      [people: Person.listOrderByLastName()]
    }
    
    def create() {
      [person: new Person()]
    }
    
    def save() {
      def person = new Person(params)
      if(person.save()) {
        flash.message = "Person created!"
        redirect action: 'list'        
      } else {
        render view: 'create', model: [person: person]
      }
    }
}
